package org;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

@SuppressWarnings("serial")
public class ShipmentData implements Serializable {
	private double temperature;
	private double humidity;
	private String skuNumbers;
	private long sensorTime;
	
	
	public void setSensorTime(long sensorTime) {
		this.sensorTime = sensorTime;
	}

	public double getTemperature() {
		return temperature;
	}
	public void setTemperature(double temperature) {
		this.temperature = temperature;
	}
	public double getHumidity() {
		return humidity;
	}
	public void setHumidity(double humidity) {
		this.humidity = humidity;
	}
	public String getSkuNumbers() {
		return skuNumbers;
	}
	public void setSkuNumbers(String skuNumbers) {
		this.skuNumbers = skuNumbers;
	}
	public long getSensorTime() {
		return sensorTime;
	}	 
	
	public String getValues(){
		SimpleDateFormat sdf = new SimpleDateFormat("MMM dd,yyyy HH:mm");
		Date sensorTimeInDisplay = new Date(sensorTime);
		return " timeGenerated: " + sdf.format(sensorTimeInDisplay) + " temperature: " + (int)this.temperature + " humidity: " + (int)this.humidity + " skuNumbers " + this.skuNumbers;
	}
}
